package com.acethewildfire.acesbs.item;

import com.acethewildfire.acesbs.item.custom.*;
import net.minecraft.item.*;
import net.minecraft.item.equipment.EquipmentType;

public class HellfireDiamondItems {

    public static final Item HELLFIRE_DIAMOND = ModItems.registerItem("hellfire_diamond", Item::new);
    public static final Item HELLFIRE_DIAMOND_SWORD = ModItems.registerItem("hellfire_diamond_sword",
            setting -> new Item(setting.sword(ModToolMaterials.HELLFIRE_DIAMOND, 3, -2.4f)));
    public static final Item HELLFIRE_DIAMOND_SHOVEL = ModItems.registerItem("hellfire_diamond_shovel",
            setting -> new SmeltingShovel(ModToolMaterials.HELLFIRE_DIAMOND, 1.5F, -3.0F, setting));
    public static final Item HELLFIRE_DIAMOND_PICKAXE = ModItems.registerItem("hellfire_diamond_pickaxe",
            setting -> new SmeltingPickaxe(setting.pickaxe(ModToolMaterials.HELLFIRE_DIAMOND, 1.0F, -2.8F)));
    public static final Item HELLFIRE_DIAMOND_HAMMER = ModItems.registerItem("hellfire_diamond_hammer",
            setting -> new SmeltingHammer(ModToolMaterials.HELLFIRE_DIAMOND, 7.0F, -3.4F, setting.maxDamage(12863)));
    public static final Item HELLFIRE_DIAMOND_AXE = ModItems.registerItem("hellfire_diamond_axe",
            setting -> new SmeltingAxe(ModToolMaterials.HELLFIRE_DIAMOND, 6.0F, -3.1F, setting));
    public static final Item HELLFIRE_DIAMOND_HOE = ModItems.registerItem("hellfire_diamond_hoe",
            setting -> new HoeItem(ModToolMaterials.HELLFIRE_DIAMOND, -2.0F, -1.0F, setting));
    public static final Item HELLFIRE_DIAMOND_HELMET = ModItems.registerItem("hellfire_diamond_helmet",
            setting -> new ModArmorItem(setting
                    .armor(ModArmorMaterials.HELLFIRE_DIAMOND_ARMOR_MATERIAL, EquipmentType.HELMET)
                    .maxDamage(EquipmentType.HELMET.getMaxDamage(15))));
    public static final Item HELLFIRE_DIAMOND_CHESTPLATE = ModItems.registerItem("hellfire_diamond_chestplate",
            setting -> new ModArmorItem(setting
                    .armor(ModArmorMaterials.HELLFIRE_DIAMOND_ARMOR_MATERIAL, EquipmentType.CHESTPLATE)
                    .maxDamage(EquipmentType.CHESTPLATE.getMaxDamage(15))));
    public static final Item HELLFIRE_DIAMOND_LEGGINGS = ModItems.registerItem("hellfire_diamond_leggings",
            setting -> new ModArmorItem(setting
                    .armor(ModArmorMaterials.HELLFIRE_DIAMOND_ARMOR_MATERIAL, EquipmentType.LEGGINGS)
                    .maxDamage(EquipmentType.LEGGINGS.getMaxDamage(15))));
    public static final Item HELLFIRE_DIAMOND_BOOTS = ModItems.registerItem("hellfire_diamond_boots",
            setting -> new ModArmorItem(setting
                    .armor(ModArmorMaterials.HELLFIRE_DIAMOND_ARMOR_MATERIAL, EquipmentType.BOOTS)
                    .maxDamage(EquipmentType.BOOTS.getMaxDamage(15))));
//    public static final Item HELLFIRE_SMITHING_TEMPLATE = ModItems.registerItem("hellfire_armor_trim_smithing_template",
//            SmithingTemplateItem::of);

    public static void registerHellfireItems() {
        // Do nothing, this just makes sure the items get registered
    }
}
